org.apache.cassandra.db

## Class AbstractReadCommandBuilder.PartitionRangeBuilder

- java.lang.Object
- - org.apache.cassandra.db.AbstractReadCommandBuilder
  - - org.apache.cassandra.db.AbstractReadCommandBuilder.PartitionRangeBuilder

Enclosing class:
  AbstractReadCommandBuilder

    public static class AbstractReadCommandBuilder.PartitionRangeBuilder
    extends AbstractReadCommandBuilder

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.AbstractReadCommandBuilder

`AbstractReadCommandBuilder.PartitionRangeBuilder, AbstractReadCommandBuilder.SinglePartitionBuilder, AbstractReadCommandBuilder.SinglePartitionSliceBuilder`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.AbstractReadCommandBuilder

`cfs, columns, filter, nowInSeconds, reversed`

### Constructor Summary

Constructors
Constructor and Description
`PartitionRangeBuilder(ColumnFamilyStore cfs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ReadCommand` `build()`
`AbstractReadCommandBuilder.PartitionRangeBuilder` `fromKeyExcl(java.lang.Object... values)`
`AbstractReadCommandBuilder.PartitionRangeBuilder` `fromKeyIncl(java.lang.Object... values)`
`AbstractReadCommandBuilder.PartitionRangeBuilder` `toKeyExcl(java.lang.Object... values)`
`AbstractReadCommandBuilder.PartitionRangeBuilder` `toKeyIncl(java.lang.Object... values)`

### Methods inherited from class org.apache.cassandra.db.AbstractReadCommandBuilder

`columns, filterOn, fromExcl, fromIncl, includeRow, makeColumnFilter, makeFilter, makeLimits, reverse, toExcl, toIncl, withLimit, withNowInSeconds, withPagingLimit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionRangeBuilder

    public PartitionRangeBuilder(ColumnFamilyStore cfs)

### Method Detail

#### fromKeyIncl

    public AbstractReadCommandBuilder.PartitionRangeBuilder fromKeyIncl(java.lang.Object... values)

#### fromKeyExcl

    public AbstractReadCommandBuilder.PartitionRangeBuilder fromKeyExcl(java.lang.Object... values)

#### toKeyIncl

    public AbstractReadCommandBuilder.PartitionRangeBuilder toKeyIncl(java.lang.Object... values)

#### toKeyExcl

    public AbstractReadCommandBuilder.PartitionRangeBuilder toKeyExcl(java.lang.Object... values)

#### build

    public ReadCommand build()

Specified by:
  `build` in class `AbstractReadCommandBuilder`